Bug 476395 - boot hang at starting udev fc9
boot hang at starting udev fc9
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-13 21:30 EST by Michael Norred
Modified: 2009-07-14 11:53 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 11:53:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Norred 2008-12-13 21:30:51 EST
Description of problem:
I was running fc9 2.6.26.6-79 on Toshiba laptop with no problems, but after fc9 2.6.27.5-37 update, machine would not complete boot up, last message on screen is starting udev, but it never gets the OK message. A couple days later, update fc9 2.6.27.5-41 was received, with same problem. I have seen threads that have a similar problem, and have found workarounds for the startup, but none have worked on my machine. I would like to know what to look for to try to diagnose the problem. I can still boot up on 26.26.6-79, but I have not found any logs or messages that indicate the failed boot.  I removed the two faulty kernels, and update took over again and put fc9 2.6.27.5-41 back. I allowed it, to see if reinstalling the kernel would maybe correct the "mismatch", but still 2.6.27.5-41 hangs at starting udev. I have searched all the logs that I know of, but don't know where to capture the docs to send.  I have recently received kernel 2.6.27.7-53 with the same results.

Version-Release number of selected component (if applicable):
2.6.26.6-79 - working
2.6.27.5-37 - hang
2.6.27.5-41 - hang
2.6.27.7-53 - hang

How reproducible:
boot

Steps to Reproduce:
1. accept kernel update
2. boot to new kernel
3.
  
Actual results:
system hangs after displaying starting udev message, never completing.

Expected results:
OK message from udev, boot process completing

Additional info:
Let me know what info that I can gather
Comment 1 Michael Norred 2008-12-26 16:24:15 EST
I have received kernel 2.6.27.9.73, which also hangs.  Is there a way to set a verbose flag or log to see where it is stopping??   I would like to get this resolved, as I do like to keep current.  
Again, what can I capture to help determine what is amiss this the udev, or is there a better place to get info on the process?
Comment 2 Jason Carpenter 2008-12-31 10:11:45 EST
I can confirm this on an HP Pavilion DV6809WM with kernel 2.6.27.9.73.  It only happens when I have the laptop unplugged.  If I plug it in after it hangs at any point it will finish booting.  Also, when resuming after suspend all I get is a blank screen.  These were not an issue with 2.6.26.6-79 but have been for each kernel since then.
Comment 3 Jason Carpenter 2009-01-06 21:29:50 EST
Some new info from my end.  If I boot kernel 2.6.27.9-73.fc9.i686 acpi=off pci=noacpi, it will boot just fine without the power cable plugged in.  Also, I am in the process of comparing the /var/log/messages differences between booting 2.6.27.9-73 and 2.6.26.6-79.
Comment 4 Harald Hoyer 2009-01-19 10:27:07 EST
try to start with "modprobedebug" added to the kernel command line.
Comment 5 Bug Zapper 2009-06-09 23:25:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 11:53:29 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.